Simple Testrunner for PHPUnit that runs all tests of a testsuite.

author | Michiel Rook
version | $Id: 5926dfc1177ec0c52ec275a8e542979c8deb6e6f $
package | phing.tasks.ext.phpunit
since | 2.1.0

### Methods

## __construct()

    __construct(\Project $project, $groups, $excludeGroups, $processIsolation)

### Parameters

#### $project

#### $groups

#### $excludeGroups

#### $processIsolation

## An error occurred.

    addError(\PHPUnit_Framework_Test $test, \Exception $e, float $time)

### Parameters

#### $test

`\PHPUnit_Framework_Test`

#### $e

`\Exception`

#### $time

`float`

## A failure occurred.

    addFailure(\PHPUnit_Framework_Test $test, \PHPUnit_Framework_AssertionFailedError $e, float $time)

### Parameters

#### $test

`\PHPUnit_Framework_Test`

#### $e

`\PHPUnit_Framework_AssertionFailedError`

#### $time

`float`

## addFormatter()

    addFormatter($formatter)

### Parameters

#### $formatter

## Incomplete test.

    addIncompleteTest(\PHPUnit_Framework_Test $test, \Exception $e, float $time)

### Parameters

#### $test

`\PHPUnit_Framework_Test`

#### $e

`\Exception`

#### $time

`float`

## Skipped test.

    addSkippedTest(\PHPUnit_Framework_Test $test, \Exception $e, float $time)

since | Method available since Release 3.0.0

### Parameters

#### $test

`\PHPUnit_Framework_Test`

#### $e

`\Exception`

#### $time

`float`

## A test ended.

    endTest(\PHPUnit_Framework_Test $test, float $time)

### Parameters

#### $test

`\PHPUnit_Framework_Test`

#### $time

`float`

## A test suite ended.

    endTestSuite(\PHPUnit_Framework_TestSuite $suite)

since | Method available since Release 2.2.0

### Parameters

#### $suite

`\PHPUnit_Framework_TestSuite`

## getLastErrorMessage()

    getLastErrorMessage()

## getLastFailureMessage()

    getLastFailureMessage()

## getLastIncompleteMessage()

    getLastIncompleteMessage()

## getLastSkippedMessage()

    getLastSkippedMessage()

## getRetCode()

    getRetCode()

## handleError()

    handleError($level, $message, $file, $line)

### Parameters

#### $level

#### $message

#### $file

#### $line

## Run a test

    run(\PHPUnit_Framework_TestSuite $suite)

### Parameters

#### $suite

## setCodecoverage()

    setCodecoverage($codecoverage)

### Parameters

#### $codecoverage

## setUseCustomErrorHandler()

    setUseCustomErrorHandler($useCustomErrorHandler)

### Parameters

#### $useCustomErrorHandler

## A test started.

    startTest(\PHPUnit_Framework_Test $test)

### Parameters

#### $test

`\PHPUnit_Framework_Test`

## A test suite started.

    startTestSuite(\PHPUnit_Framework_TestSuite $suite)

since | Method available since Release 2.2.0

### Parameters

#### $suite

`\PHPUnit_Framework_TestSuite`

## A test ended.

    testEnded(string $testName)

### Parameters

#### $testName

`string`

## A test failed.

    testFailed(integer $status, \PHPUnit_Framework_Test $test, \PHPUnit_Framework_AssertionFailedError $e)

### Parameters

#### $status

`integer`

#### $test

`\PHPUnit_Framework_Test`

#### $e

`\PHPUnit_Framework_AssertionFailedError`

## A test started.

    testStarted(string $testName)

### Parameters

#### $testName

`string`

## composeMessage()

    composeMessage($message, \PHPUnit_Framework_Test $test, \Exception $e)

### Parameters

#### $message

#### $test

#### $e

## Override to define how to handle a failed loading of a test suite.

    runFailed(string $message)

### Parameters

#### $message

`string`

### Properties

##

    $codecoverage

##

    $excludeGroups

##

    $formatters

##

    $groups

##

    $lastErrorMessage

##

    $lastFailureMessage

##

    $lastIncompleteMessage

##

    $lastSkippedMessage

##

    $processIsolation

##

    $project

##

    $retCode

##

    $useCustomErrorHandler

### Constants

## ERRORS

    ERRORS

## FAILURES

    FAILURES

## INCOMPLETES

    INCOMPLETES

## SKIPPED

    SKIPPED

## SUCCESS

    SUCCESS